<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FileVisitDetails (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FileVisitDetails (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileVisitDetails.html" target="_top">Frames</a></li>
<li><a href="FileVisitDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface FileVisitDetails" class="title">Interface FileVisitDetails</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">FileVisitDetails</span>
extends <a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></pre>
<div class="block">Provides access to details about a file or directory being visited by a <a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><code>FileVisitor</code></a>.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/file/FileTree.html#visit(groovy.lang.Closure)"><code>FileTree.visit(groovy.lang.Closure)</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileVisitDetails.html#stopVisiting()">stopVisiting</a></strong>()</code>
<div class="block">Requests that file visiting terminate after the current file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileTreeElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></h3>
<code><a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.File)">copyTo</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.OutputStream)">copyTo</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getFile()">getFile</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getLastModified()">getLastModified</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getMode()">getMode</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getName()">getName</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getPath()">getPath</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getRelativePath()">getRelativePath</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#getSize()">getSize</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#isDirectory()">isDirectory</a>, <a href="../../../../org/gradle/api/file/FileTreeElement.html#open()">open</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="stopVisiting()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>stopVisiting</h4>
<pre>void&nbsp;stopVisiting()</pre>
<div class="block">Requests that file visiting terminate after the current file.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileVisitDetails.html" target="_top">Frames</a></li>
<li><a href="FileVisitDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
